import { Router } from 'express';
import { authRoutes } from './auth.router';
import { calendarRoutes } from './calendar.router';
import { cursersRouter } from './curser.router';
import { forunsRouter } from './forum.router';
import { institutionRouter } from './institution.router';
import { messagesRouter } from './message.router';
import { userRoutes } from './users.router';

const router = Router();

router.use('/users', userRoutes);
router.use('/calendars', calendarRoutes)
router.use('/cursers', cursersRouter)
router.use('/institutions', institutionRouter)
router.use('/foruns', forunsRouter)
router.use('/messages', messagesRouter)
router.use(authRoutes)

export { router };